> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-10/v10-5/v10-5-2.md).

# Version 10.5.2 Changelog (2024-03-11)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### Fixes

General

* Fixed an issue where loading documents with WebViewer Server and performing a text compare when using a PWS license wasn't working correctly.
* Fixed an issue where image documents initialized with the pageSizes option now download with correct dimensions.
* Fixed the issue of applying CSS transform scale to the WebViewer container.

Annotations

* Fixed an issue where vertical center-aligned FreeTextAnnotations would draw nothing when text overflows.
* Fixed an issue where rotating rectangles on a rotated page does not render them correctly.
* Fixed an issue with FreeText annotations' text color displaying incorrectly from the DefaultAppearance.

Office Editor

* Fixed the issue that startPage and endPage can be incorrect when using legacy search.

Content Edit

* Fixed an issue with WidgetAnnotations duplicating to the first page if using Content Edit mode on a multi-page document.

Security

* Fixed an issue with input validation of TextWidget input values.

## WebViewer UI

### Fixes

General

* Printing "current view" when the entire page is in view will now have the same quality as "current page".
* Fixed an issue with downloading attached files from the attachment panel.
* Fixed an issue where drawing FreeHand annotations with Stylus Mode was causing the viewer to scroll slightly.
* Fixed the issue that the Pan tool is not working properly on mobile when `UI.Feature.PageNavigation` is disabled.
* Fixed an issue with custom tool registration. You must register tools for each document viewer separately.
* Fixed an issue where the last comment is hidden in the Notes Panel's virtualized list.
* FreeText will autosize when font or font size is changed during editing.
* Fixed the issue that made the download button unavailable in read-only mode.
* Fixed an issue where users could comment while multi-selecting annotations in read-only mode.

Digital Signatures

* Improved usage of `VerificationOptions.setRevocationProxyPrefix` API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-10/v10-5/v10-5-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
